// Script para rotacionar imagens
console.log("Script de rotação carregado");

function rotacionarImagem() {
  console.log("Função de rotação iniciada");
  
  // Array com os nomes dos arquivos das imagens
  const imagens = [
    'images/4VQ3ugALLXKc.jpg', // imagem original
    'images/captcha1.jpg',     // nova imagem 1
    'images/captcha2.jpg',     // nova imagem 2
    'images/captcha3.jpg',     // nova imagem 3
    'images/captcha4.jpg'      // nova imagem 4
  ];
  
  console.log("Array de imagens:", imagens);
  
  // Seleciona uma imagem aleatória do array
  const randomIndex = Math.floor(Math.random() * imagens.length);
  const imagemAleatoria = imagens[randomIndex];
  
  console.log("Imagem selecionada:", imagemAleatoria, "índice:", randomIndex);
  
  // Atualiza a src da imagem
  const captchaImage = document.getElementById('captcha-image');
  console.log("Elemento de imagem encontrado:", captchaImage ? "Sim" : "Não");
  
  if (captchaImage) {
    console.log("Alterando a src da imagem de", captchaImage.src, "para", imagemAleatoria);
    captchaImage.src = imagemAleatoria;
    
    // Adiciona um handler para caso a imagem não carregue
    captchaImage.onerror = function() {
      console.error('Erro ao carregar imagem:', imagemAleatoria);
      // Se falhar, volta para a imagem original
      this.src = 'images/4VQ3ugALLXKc.jpg';
    };
  } else {
    console.error("Elemento de imagem com ID 'captcha-image' não encontrado!");
  }
}

// Executa quando o DOM está totalmente carregado
document.addEventListener('DOMContentLoaded', function() {
  console.log("DOM carregado, chamando rotação");
  rotacionarImagem();
});

// Backup - Também tenta executar quando toda a página estiver carregada
window.onload = function() {
  console.log("Página totalmente carregada, verificando se a rotação já ocorreu");
  const captchaImage = document.getElementById('captcha-image');
  // Se a imagem ainda for a original, tenta rotacionar novamente
  if (captchaImage && captchaImage.src.includes('4VQ3ugALLXKc.jpg')) {
    console.log("Imagem ainda não rotacionada, tentando novamente");
    rotacionarImagem();
  }
};
